Loading...
Searching...
No Matches
event.c File Reference
Rig (transceiver) API

Event handling. More...

`#include <hamlib/config.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <stdio.h>`
`#include <sys/types.h>`
`#include <errno.h>`
`#include <hamlib/rig.h>`
`#include "event.h"`
`#include "misc.h"`
`#include "cache.h"`
`#include "network.h"`
Include dependency graph for event.c:

## Macros

#define | CHECK_RIG_ARG(r)

## Functions

int | rig_set_freq_callback (RIG *rig, freq_cb_t cb, rig_ptr_t arg)
| set the callback for freq events
int | rig_set_mode_callback (RIG *rig, mode_cb_t cb, rig_ptr_t arg)
| set the callback for mode events
int | rig_set_vfo_callback (RIG *rig, vfo_cb_t cb, rig_ptr_t arg)
| set the callback for vfo events
int | rig_set_ptt_callback (RIG *rig, ptt_cb_t cb, rig_ptr_t arg)
| set the callback for ptt events
int | rig_set_dcd_callback (RIG *rig, dcd_cb_t cb, rig_ptr_t arg)
| set the callback for dcd events
int | rig_set_pltune_callback (RIG *rig, pltune_cb_t cb, rig_ptr_t arg)
| set the callback for pipelined tuning module
int | rig_set_spectrum_callback (RIG *rig, spectrum_cb_t cb, rig_ptr_t arg)
| set the callback for spectrum line reception events
int | rig_set_trn (RIG *rig, int trn)
| control the transceive mode
int | rig_get_trn (RIG *rig, int *trn)
| get the current transceive mode

## Detailed Description

Event handling.